Bug 464458 - Review Request: greadelf - GUI frontend to elfinfo and eu-readelf
Review Request: greadelf - GUI frontend to elfinfo and eu-readelf
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-29 04:54 EDT by ashok
Modified: 2008-11-11 02:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-03 18:33:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description ashok 2008-09-29 04:54:40 EDT
Spec URL: http://ashokdas.fedorapeople.org/greadelf.spec
SRPM URL: http://ashokdas.fedorapeople.org/greadelf-0.4-1.fc9.src.rpm
Description: GUI frontend for elfinfo and eu-readelf.
Comment 1 Parag AN(पराग) 2008-09-29 05:05:29 EDT
Review:
+ package builds in mock (rawhide i386).
koji build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=849316
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
148744d64f5d82d1e9f39b5029b624c6  greadelf-0.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Desktop file installed correctly.
+ GUI app.

Suggestions:- 
   You many like to either build with elfinfo dependency at time of importing this package to CVS once elfinfo package appears in rawhide or you can also add this dependency next time you build this package again.

APPROVED.
Comment 2 ashok 2008-09-29 05:34:30 EDT
New Package CVS Request
=======================
Package Name: greadelf
Short Description: GUI frontend for elfinfo and eu-readelf.
Owners: ashokdas
Branches: F-9
InitialCC:
Comment 3 Huzaifa S. Sidhpurwala 2008-09-30 00:23:25 EDT
cvs done,
Removed the "." at the end of the Description.
Comment 4 Fedora Update System 2008-10-03 02:06:06 EDT
greadelf-0.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/greadelf-0.4-1.fc9
Comment 5 Fedora Update System 2008-10-03 18:33:31 EDT
greadelf-0.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Parag Nemade 2008-11-11 01:13:06 EST
Package Change Request
======================
Package Name: greadelf
New Branches: EL-5
Comment 7 Parag Nemade 2008-11-11 01:41:39 EST
Package Change Request
======================
Package Name: greadelf
New Branches: EL-5
Owners: ashokdas paragn
Comment 8 Jens Petersen 2008-11-11 02:41:45 EST
cvs done
Comment 9 Parag Nemade 2008-11-11 02:53:16 EST
Thanks Jens for quick cvs.

Note You need to log in before you can comment on or make changes to this bug.